# ``twisted`.`mail`.`maildir`.`DirdbmDatabase``

class documentation

`class DirdbmDatabase: (source)`

Implements interfaces: `twisted.cred.checkers.ICredentialsChecker`

View In Hierarchy

A credentials checker which authenticates users out of a `DirDBM` database.

Method | `__init__` |
Method | `requestAvatarId` | Authenticate a user and, if successful, return their username.
Class Variable | `credentialInterfaces` | A list of sub-interfaces of `ICredentials` which specifies which I may check.
Instance Variable | `dirdbm` | An authentication database.

def __init__(self, dbm): (source)

Parameters
dbm:`DirDBM` | An authentication database.

def requestAvatarId(self, c): (source)
from `twisted.cred.checkers.ICredentialsChecker`
Authenticate a user and, if successful, return their username.

Parameters
c:`IUsernamePassword` or `IUsernameHashedPassword` provider. | Credentials.
Returns
`bytes` | A string which identifies an user.
Raises
`UnauthorizedLogin` | When the credentials check fails.

credentialInterfaces = (source)
from `twisted.cred.checkers.ICredentialsChecker`
A list of sub-interfaces of `ICredentials` which specifies which I may check.
dirdbm: `DirDBM` = (source)
An authentication database.